Skip to navigation

Retrieve a payment schedule item

View as Markdown
Retrieve the details of a specific Payment Schedule Item object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
Object ID or Number.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call. The Payment Schedule Item object does not support expanding any related objects.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the payment schedule item.
createdByIdstringOptional
The unique identifier of the user who created the payment schedule item.
createdDatedatetimeOptional

The time that the payment schedule item gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the payment schedule item.
updatedDatedatetimeOptional

The time that the payment schedule item gets updated in the system, in the YYYY-MM-DD HH:MM:SS format.

numberstringOptional
Number of the payment schedule item.
accountIdstringOptional
ID of the account that owns the payment schedule.
invoiceIdstringOptional
The unique identifier of the invoice to which the payment is applied.
debitmemoIdstringOptional
The unique identifier of the debit memo to which the payment is applied.
paymentOptionIdstringOptional
The unique identifier of the payment option that is used to process the payment schedule item.
prepaymentbooleanOptional

Indicates whether the payments created by the payment schedule are used as a reserved payment. This field is available only if the prepaid cash drawdown permission is enabled. See Prepaid Cash with Drawdown for more information.

scheduledDatedateOptional
The scheduled date when the payment is processed.
runHourintegerOptional0-23

At which hour in the day in the tenant’s timezone the recurring payment schedule items will be collected.

Return 0 for custom payment schedules.

paymentMethodIdstringOptional
ID of the payment method that will pay the billing documents.
paymentGatewayIdstring or nullOptional
ID of the payment gateway that processes the payment.
amountdoubleOptional
The total amount of the payment schedule item.
balancedoubleOptional
The remaining balance of payment schedule item.
currencystringOptional

The currency in which the payment is made.

Note: If this field was not specified, the default value is the currency set for the account.

statusenumOptional

ID of the payment method of the payment schedule item.

  • Pending: Waiting for processing.
  • Processed: The payment has been collected.
  • Error: Failed to collect the payment.
  • Canceled: After a pending payment schedule item is canceled by the user, the item is marked as Canceled.
Allowed values:
errorMessagestringOptional
The error message indicating if the error is related to the configuration or the payment collection.
paymentIdstringOptional

ID of the payment that is created by the payment schedule item, or linked to the payment schedule item. This field is only available if the request doesn’t specify Zuora-Version, or Zuora-Version is set to a value equal to or smaller than_336.0.

descriptionstringOptional
The description of the payment schedule item.
cancellationReasonstringOptional
The reason for the cancellation of payment schedule item.
paymentScheduleIdstringOptional
ID of the payment schedule to which the payment schedule item belongs.

Errors

4XX
Client Request Error
500
Internal Server Error